# List groups

`GET https://api.airtable.com/scim/v2/Groups`

List groups as [SCIM Groups](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2) objects.
[SCIM specification for list responses.](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2)

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.scim.usersAndGroups:manage`](https://airtable.com/developers/web/api/scopes.md#enterprise-scim-users-and-groups-manage)
- **User role:** Enterprise admin _Note: Admins of multiple enterprises should use a service account's token when calling this route._
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Query parameters

- `count: number` — optional

  Number of groups to return, defaults to all groups.

- `filter: string` — optional

  The SCIM spec includes additional filter options, but
  we only support equality filtering by the Group display name, which is the SCIM displayName.

## Response format

- `schemas: array<string>` — required

- `startIndex: number` — required

  Position of the first result from the full list of groups, starting from 1, defaults to 1.

- `itemsPerPage: number` — required

- `totalResults: number` — required

- `Resources: array<object>` — required

  - `id: string` — required

    A user group ID

  - `schemas: array<string>` — required

    A list of schemas, including at least SCIM's core group schema URI.

  - `displayName: string | null` — required

    Becomes the displayName of the group in Airtable. It must not be in use already.

### Example — Success response

```sh
curl "https://api.airtable.com/scim/v2/Groups" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "Resources": [
    {
      "displayName": "ExampleGroup",
      "id": "ugpQ7PJ2boxzMAKFU",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }
  ],
  "itemsPerPage": 1,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 1
}
```
